## qt6-base 6.9.2

=== debian/changelog ===
qt6-base (6.9.2-0zneon+24.04+noble+release+build119) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 12:17:23 +0000

qt6-base (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 28 Aug 2025 22:12:14 +1000

qt6-base (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 08 Jul 2025 18:18:10 +1000

qt6-base (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sun, 20 Apr 2025 18:35:05 +1000

qt6-base (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 20:26:54 +1000

qt6-base (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 08 Feb 2025 20:25:35 +1000

qt6-base (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 03 Dec 2024 10:29:44 +1000

qt6-base (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:22:19 +1000

qt6-base (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 28 Mar 2024 09:23:31 +0000

qt6-base (6.6.2-1neon) jammy; urgency=medium

  * bump debian minor release for breaks for qtpaths6 move

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 16 Feb 2024 16:46:34 +1000

qt6-base (6.6.2-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 16 Feb 2024 16:46:34 +1000

qt6-base (6.6.1-0neon) jammy; urgency=medium

  [ Jonathan Esk-Riddell ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 08 Dec 2023 15:02:12 +1000

qt6-base (6.5.3-0) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 03 Apr 2023 13:34:30 +0100

qt6-base (6.4.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Make cmake a suggestion of qt6-base-dev-tools instead of a hard
    dependency (Closes: #1019870).
  * New upstream release (6.4.2).
  * Update ABI to 6.4.2.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 18:30:46 +0100

=== debian/control ===
Source: qt6-base
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-exec,
               firebird-dev [linux-any],
               glslang-tools,
               glslc,
               libatspi2.0-dev,
               libb2-dev,
               libbrotli-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libdrm-dev [linux-any],
               libegl-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev [linux-any],
               libgif-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libglx-dev,
               libgtk-3-dev,
               libharfbuzz-dev,
               libice-dev,
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libkrb5-dev,
               liblttng-ust-dev,
               liblttng-ust-dev [linux-any],
               libmd4c-dev,
               libmd4c-html0-dev,
               libmtdev-dev [linux-any],
               libopengl-dev,
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libsctp-dev [linux-any],
               libsqlite3-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libts-dev,
               libturbojpeg0-dev,
               libudev-dev [linux-any],
               libvulkan-dev [linux-any],
               libwayland-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-dri2-0-dev,
               libxcb-dri3-dev,
               libxcb-ewmh-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-present-dev,
               libxcb-randr0-dev,
               libxcb-record0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-res0-dev,
               libxcb-screensaver0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xf86dri0-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb-xrm-dev,
               libxcb-xtest0-dev,
               libxcb-xv0-dev,
               libxcb-xvmc0-dev,
               libxcb1-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libzstd-dev,
               mold,
               ninja-build,
               pkg-kde-tools-neon,
               pkgconf,
               python3:any,
               shared-mime-info,
               unixodbc-dev,
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-base.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-base
Maintainer: Neon CI <neon@kde.org>

Package: qt6-base
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig,
         gnome-themes-extra-data,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: qt6-base-private-abi (= 6.9.1), ${t64:Provides}
Recommends: libcups2,
            libqt6sql6-sqlite | libqt6sql6-mysql | libqt6sql6-odbc | libqt6sql6-psql | libqt6sql6-ibase,
            qt6-gtk-platformtheme,
            qt6-qpa-plugins,
            qt6-translations-l10n,
            qt6-wayland
Breaks: libqt6core6t64 (<< 6.8.1),
        libqt6gui6 (<< 6.8.1),
        libqt6gui6t64 (<< 6.8.1),
        libqt6network6 (<< 6.8.1),
        libqt6opengl6 (<< 6.8.1),
        libqt6opengl6t64 (<< 6.8.1),
        libqt6sql6 (<< 6.8.1),
        libqt6sql6-ibase (<< 6.8.1),
        libqt6sql6-mysql (<< 6.8.1),
        libqt6sql6-odbc (<< 6.8.1),
        libqt6sql6-psql (<< 6.8.1),
        libqt6sql6-sqlite (<< 6.8.1),
        qt6-qpa-plugins (<< 6.8.1)
Replaces: libqt6core6t64 (<< 6.8.1),
          libqt6gui6 (<< 6.8.1),
          libqt6gui6t64 (<< 6.8.1),
          libqt6network6 (<< 6.8.1),
          libqt6opengl6 (<< 6.8.1),
          libqt6opengl6t64 (<< 6.8.1),
          libqt6sql6 (<< 6.8.1),
          libqt6sql6-ibase (<< 6.8.1),
          libqt6sql6-mysql (<< 6.8.1),
          libqt6sql6-odbc (<< 6.8.1),
          libqt6sql6-psql (<< 6.8.1),
          libqt6sql6-sqlite (<< 6.8.1),
          qt6-qpa-plugins (<< 6.8.1)
Description: Qt 6 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: qt6-base-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: libcups2-dev,
         libdrm-dev,
         libegl-dev,
         libgbm-dev,
         libgl-dev,
         libglx-dev,
         libinput-dev,
         libmtdev-dev,
         libopengl-dev,
         libts-dev,
         libudev-dev,
         libvulkan-dev,
         libxcb-composite0-dev,
         libxcb-cursor-dev,
         libxcb-damage0-dev,
         libxcb-dpms0-dev,
         libxcb-dri2-0-dev,
         libxcb-dri3-dev,
         libxcb-ewmh-dev,
         libxcb-glx0-dev,
         libxcb-icccm4-dev,
         libxcb-image0-dev,
         libxcb-keysyms1-dev,
         libxcb-present-dev,
         libxcb-randr0-dev,
         libxcb-record0-dev,
         libxcb-render-util0-dev,
         libxcb-render0-dev,
         libxcb-res0-dev,
         libxcb-screensaver0-dev,
         libxcb-shape0-dev,
         libxcb-shm0-dev,
         libxcb-sync-dev,
         libxcb-util-dev,
         libxcb-xf86dri0-dev,
         libxcb-xfixes0-dev,
         libxcb-xinerama0-dev,
         libxcb-xinput-dev,
         libxcb-xkb-dev,
         libxcb-xrm-dev,
         libxcb-xtest0-dev,
         libxcb-xv0-dev,
         libxcb-xvmc0-dev,
         libxcb1-dev,
         libxkbcommon-dev,
         libxkbcommon-x11-dev,
         python3:any,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6opengl6-dev (<< 6.4.2+dfsg-12~)
Replaces: libqt6opengl6-dev (<< 6.4.2+dfsg-12~)
Provides: libqt6opengl6-dev (= ${binary:Version})
Description: Qt 6 base development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building
 Qt 6 applications.
 .
 If you are interested in packaging Qt 6 stuff please take a look at
 https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html

Package: qt6-base-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev, ${misc:Depends}
Replaces: qt6-base-doc-html
Description: Qt 6 base documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build
 Qt 6 applications.
 .
 If you are interested in packaging Qt 6 stuff please take a look at
 https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html

Package: libqt6core6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6core6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6concurrent6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6concurrent6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6dbus6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6dbus6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6gui6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6gui6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6network6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6network6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6opengl6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6opengl6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6opengl6-dev
Architecture: all
Depends: qt6-base-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6openglwidgets6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6openglwidgets6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6printsupport6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6printsupport6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6sql6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6sql6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6sql6-mysql
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6sql6-odbc
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6sql6-psql
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6sql6-sqlite
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6sql6-ibase
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6test6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6test6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6widgets6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6widgets6t64
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6xml6
Architecture: all
Depends: qt6-base, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6xml6t64
Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
sslpkgname := $(shell dpkg-query --show '--showformat=$${Depends}' libssl-dev | cut -d ' ' -f1)

ifneq (,$(filter libqt6sql6-ibase,$(shell dh_listpackages)))
        extra_cmake_args += -DFEATURE_sql_ibase=ON
else
        extra_cmake_args += -DFEATURE_sql_ibase=OFF
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
        extra_cmake_args += -DFEATURE_sctp=ON
else
        extra_cmake_args += -DFEATURE_sctp=OFF
endif

# cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake \
		-DQT_FORCE_BUILD_TOOLS=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

# -DFEATURE_lttng=ON \ still not working with DQT_UNITY_BUILD

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DCMAKE_LIBRARY_PATH=lib/$(DEB_HOST_MULTIARCH) \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DFEATURE_accessibility=ON \
		-DFEATURE_cups=ON \
		-DFEATURE_directfb=OFF \
		-DFEATURE_dbus_linked=ON \
		-DFEATURE_doubleconversion=ON \
		-DFEATURE_freetype=ON \
		-DFEATURE_fontconfig=ON \
		-DFEATURE_enable_gdb_index=ON \
		-DFEATURE_glib=ON \
		-DFEATURE_harfbuzz=ON \
		-DFEATURE_icu=ON \
		-DFEATURE_jpeg=ON -DFEATURE_system_jpeg=ON \
		-DFEATURE_journald=ON \
		-DFEATURE_libproxy=ON \
		-DFEATURE_ltcg=ON \
		-DFEATURE_mimetype_database=OFF \
		-DFEATURE_pcre2=ON -DFEATURE_system_pcre2=ON \
		-DFEATURE_png=ON -DFEATURE_system_png=ON \
		-DFEATURE_reduce_relocations=OFF \
		-DFEATURE_relocatable=OFF \
		-DFEATURE_rpath=OFF \
		-DFEATURE_sql_mysql=ON \
		-DFEATURE_sql_odbc=ON \
		-DFEATURE_sql_psql=ON \
		-DFEATURE_sql_sqlite=ON -DFEATURE_system_sqlite=ON \
		-DFEATURE_ssl=ON \
		-DFEATURE_system_libb2=ON \
		-DFEATURE_system_proxies=ON \
		-DFEATURE_system_xcb_xinput=ON \
		-DFEATURE_system_zlib=ON \
		-DFEATURE_use_mold_linker=ON \
		-DINSTALL_ARCHDATADIR=lib/$(DEB_HOST_MULTIARCH)/qt6 \
		-DINSTALL_BINDIR=lib/qt6/bin \
		-DINSTALL_EXAMPLESDIR=lib/$(DEB_HOST_MULTIARCH)/qt6/examples \
		-DINSTALL_DATADIR=share/qt6 \
		-DINSTALL_DOCDIR=share/qt6/doc \
		-DINSTALL_HOSTDATADIR=lib/$(DEB_HOST_MULTIARCH)/qt6 \
		-DINSTALL_INCLUDEDIR=include/$(DEB_HOST_MULTIARCH)/qt6 \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_LIBEXECDIR=lib/qt6/libexec \
		-DINSTALL_MKSPECSDIR=lib/$(DEB_HOST_MULTIARCH)/qt6/mkspecs \
		-DINSTALL_PUBLICBINDIR=bin \
		-DINSTALL_PLUGINDIR=lib/$(DEB_HOST_MULTIARCH)/qt6/plugins \
		-DINSTALL_SYSCONFDIR=/etc/xdg \
		-DINSTALL_TRANSLATIONDIR=share/qt6/translations \
		-DQT_ADDITIONAL_PACKAGES_PREFIX_PATH=/usr/$(DEB_HOST_MULTIARCH) \
		-DQT_BUILD_EXAMPLES=ON \
		-DQT_INSTALL_EXAMPLES_SOURCES=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

	# Specifies parameters to pass to the platform plugin.
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt6
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' debian/qt.conf.in \
		> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt6/qt6.conf

	# Inject cross-wrapper for qmake6 and qtpaths
	mkdir -p debian/tmp/usr/bin
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		-e 's/@DEB_HOST_GNU_TYPE@/$(DEB_HOST_GNU_TYPE)/g' \
		< debian/qmake-cross-wrapper.in > debian/tmp/usr/bin/$(DEB_HOST_GNU_TYPE)-qmake6
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		< debian/qtpaths-cross-wrapper.in > debian/tmp/usr/bin/$(DEB_HOST_GNU_TYPE)-qtpaths6
	chmod +x debian/tmp/usr/bin/$(DEB_HOST_GNU_TYPE)-qmake6 debian/tmp/usr/bin/$(DEB_HOST_GNU_TYPE)-qtpaths6

	# Fix Qt6::qmake IMPORTED_LOCATION, see https://bugs.debian.org/1030980
	sed -i 's,lib/qt6/bin/qmake,bin/$(DEB_HOST_GNU_TYPE)-qmake6,' \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6CoreTools/Qt6CoreToolsTargets.cmake
	sed -i 's,lib/qt6/bin/qmake,bin/$(DEB_HOST_GNU_TYPE)-qmake6,' \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6CoreTools/Qt6CoreToolsTargets-relwithdebinfo.cmake
	# Fix Qt6::qtpaths IMPORTED_LOCATION
	sed -i 's,lib/qt6/bin/qtpaths,bin/$(DEB_HOST_GNU_TYPE)-qtpaths6,' \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6CoreTools/Qt6CoreToolsTargets.cmake
	sed -i 's,lib/qt6/bin/qtpaths,bin/$(DEB_HOST_GNU_TYPE)-qtpaths6,' \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6CoreTools/Qt6CoreToolsTargets-relwithdebinfo.cmake

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;
else
override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
endif

override_dh_makeshlibs:
	dh_makeshlibs -XlibQt6EglFSDeviceIntegration -XlibQt6EglFsKmsGbmSupport -XlibQt6EglFsKmsSupport -XlibQt6XcbQpa

execute_after_dh_shlibdeps-arch:
	echo libssl:Depends=$(sslpkgname) >> debian/libqt6network6.substvars

# Do not run tests when building the documentation
override_dh_auto_test-indep:

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://qt-mirror.dannhauer.de/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtbase-everywhere-src-([\d\.]+\d).tar.xz

## qt6-base 6.9.2%2Bdfsg

=== src/opengl/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## OpenGL Module:
#####################################################################

qt_internal_add_module(OpenGL
    SOURCES
        compat/removed_api.cpp
        qopengl2pexvertexarray.cpp qopengl2pexvertexarray_p.h
        qopenglbuffer.cpp qopenglbuffer.h
        qopenglcustomshaderstage.cpp qopenglcustomshaderstage_p.h
        qopengldebug.cpp qopengldebug.h
        qopenglengineshadermanager.cpp qopenglengineshadermanager_p.h
        qopenglengineshadersource_p.h
        qopenglframebufferobject.cpp qopenglframebufferobject.h qopenglframebufferobject_p.h
        qopenglgradientcache.cpp qopenglgradientcache_p.h
        qopenglpaintdevice.cpp qopenglpaintdevice.h qopenglpaintdevice_p.h
        qopenglpaintengine.cpp qopenglpaintengine_p.h
        qopenglpixeltransferoptions.cpp qopenglpixeltransferoptions.h
        qopenglshadercache_p.h
        qopenglshaderprogram.cpp qopenglshaderprogram.h
        qopengltexture.cpp qopengltexture.h qopengltexture_p.h
        qopengltextureblitter.cpp qopengltextureblitter.h
        qopengltexturecache.cpp qopengltexturecache_p.h
        qopengltextureglyphcache.cpp qopengltextureglyphcache_p.h
        qopengltexturehelper.cpp qopengltexturehelper_p.h
        qopengltextureuploader.cpp qopengltextureuploader_p.h
        qopengltimerquery.h
        qopenglversionfunctions.cpp qopenglversionfunctions.h qopenglversionfunctions_p.h
        qopenglversionfunctionsfactory.cpp qopenglversionfunctionsfactory.h
        qopenglversionprofile.cpp qopenglversionprofile.h
        qopenglvertexarrayobject.cpp qopenglvertexarrayobject.h qopenglvertexarrayobject_p.h
        qopenglwindow.cpp qopenglwindow.h
        qtopenglglobal.h
    NO_UNITY_BUILD_SOURCES
        qopengltextureblitter.cpp       # qDebug()<< ambiguities
    NO_PCH_SOURCES
        compat/removed_api.cpp
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
        QT_NO_FOREACH
        QT_NO_USING_NAMESPACE
        QT_USE_NODISCARD_FILE_OPEN
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(OpenGL CONDITION APPLE
    NO_UNITY_BUILD_SOURCES
        qopenglversionfunctionsfactory.cpp
)

qt_internal_extend_target(OpenGL CONDITION QT_FEATURE_opengles2
    SOURCES
        qopenglfunctions_es2.cpp qopenglfunctions_es2.h
)

qt_internal_extend_target(OpenGL CONDITION NOT QT_FEATURE_opengles2
    SOURCES
        qopenglfunctions_1_0.cpp qopenglfunctions_1_0.h
        qopenglfunctions_1_1.cpp qopenglfunctions_1_1.h
        qopenglfunctions_1_2.cpp qopenglfunctions_1_2.h
        qopenglfunctions_1_3.cpp qopenglfunctions_1_3.h
        qopenglfunctions_1_4.cpp qopenglfunctions_1_4.h
        qopenglfunctions_1_5.cpp qopenglfunctions_1_5.h
        qopenglfunctions_2_0.cpp qopenglfunctions_2_0.h
        qopenglfunctions_2_1.cpp qopenglfunctions_2_1.h
        qopenglfunctions_3_0.cpp qopenglfunctions_3_0.h
        qopenglfunctions_3_1.cpp qopenglfunctions_3_1.h
        qopenglfunctions_3_2_compatibility.cpp qopenglfunctions_3_2_compatibility.h
        qopenglfunctions_3_2_core.cpp qopenglfunctions_3_2_core.h
        qopenglfunctions_3_3_compatibility.cpp qopenglfunctions_3_3_compatibility.h
        qopenglfunctions_3_3_core.cpp qopenglfunctions_3_3_core.h
        qopenglfunctions_4_0_compatibility.cpp qopenglfunctions_4_0_compatibility.h
        qopenglfunctions_4_0_core.cpp qopenglfunctions_4_0_core.h
        qopenglfunctions_4_1_compatibility.cpp qopenglfunctions_4_1_compatibility.h
        qopenglfunctions_4_1_core.cpp qopenglfunctions_4_1_core.h
        qopenglfunctions_4_2_compatibility.cpp qopenglfunctions_4_2_compatibility.h
        qopenglfunctions_4_2_core.cpp qopenglfunctions_4_2_core.h
        qopenglfunctions_4_3_compatibility.cpp qopenglfunctions_4_3_compatibility.h
        qopenglfunctions_4_3_core.cpp qopenglfunctions_4_3_core.h
        qopenglfunctions_4_4_compatibility.cpp qopenglfunctions_4_4_compatibility.h
        qopenglfunctions_4_4_core.cpp qopenglfunctions_4_4_core.h
        qopenglfunctions_4_5_compatibility.cpp qopenglfunctions_4_5_compatibility.h
        qopenglfunctions_4_5_core.cpp qopenglfunctions_4_5_core.h
        qopenglqueryhelper_p.h
        qopengltimerquery.cpp
)

qt_internal_extend_target(OpenGL CONDITION QT_FEATURE_vulkan
    SOURCES
        qvkconvenience.cpp qvkconvenience_p.h
)
if(QT_FEATURE_vulkan)
    qt_internal_add_target_include_dirs_and_optionally_propagate(
        OpenGL WrapVulkanHeaders::WrapVulkanHeaders)
endif()

qt_internal_extend_target(OpenGL CONDITION QT_FEATURE_egl
    SOURCES
        qopenglcompositor.cpp qopenglcompositor_p.h
        qopenglcompositorbackingstore.cpp qopenglcompositorbackingstore_p.h
)

qt_internal_generate_tracepoints(OpenGL opengl
    SOURCES
        qopenglframebufferobject.cpp
        qopenglpaintengine.cpp
        qopengltexturecache.cpp
)
qt_internal_add_docs(OpenGL
    doc/qtopengl.qdocconf
)

=== src/openglwidgets/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## OpenGLWidgets Module:
#####################################################################

qt_internal_add_module(OpenGLWidgets
    SOURCES
        qopenglwidget.cpp qopenglwidget.h
        qtopenglwidgetsglobal.h
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
        QT_NO_FOREACH
        QT_NO_USING_NAMESPACE
        QT_USE_NODISCARD_FILE_OPEN
    LIBRARIES
        Qt::OpenGLPrivate
        Qt::WidgetsPrivate
    PUBLIC_LIBRARIES
        Qt::OpenGL
        Qt::Widgets
)

=== examples/vulkan/hellovulkancubes/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(hellovulkancubes LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Concurrent Core Gui Widgets)

qt_standard_project_setup()

qt_add_executable(hellovulkancubes
    camera.cpp camera.h
    main.cpp
    mainwindow.cpp mainwindow.h
    mesh.cpp mesh.h
    renderer.cpp renderer.h
    shader.cpp shader.h
    vulkanwindow.cpp vulkanwindow.h
)

set_target_properties(hellovulkancubes PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(hellovulkancubes PRIVATE
    Qt6::Concurrent
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

# Resources:
set_source_files_properties("../shared/block.buf"
    PROPERTIES QT_RESOURCE_ALIAS "block.buf"
)

set_source_files_properties("../shared/qt_logo.buf"
    PROPERTIES QT_RESOURCE_ALIAS "qt_logo.buf"
)

set(hellovulkancubes_resource_files
    "../shared/block.buf"
    "../shared/qt_logo.buf"
    "color_frag.spv"
    "color_phong_frag.spv"
    "color_phong_vert.spv"
    "color_vert.spv"
)

qt6_add_resources(hellovulkancubes "hellovulkancubes"
    PREFIX
        "/"
    FILES
        ${hellovulkancubes_resource_files}
)

install(TARGETS hellovulkancubes
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_app_script(
    TARGET hellovulkancubes
    OUTPUT_SCRIPT deploy_script
    NO_UNSUPPORTED_PLATFORM_ERROR
)
install(SCRIPT ${deploy_script})

=== examples/vulkan/hellovulkanwidget/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(hellovulkanwidget LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)

qt_standard_project_setup()

qt_add_executable(hellovulkanwidget
    ../shared/trianglerenderer.cpp ../shared/trianglerenderer.h
    hellovulkanwidget.cpp hellovulkanwidget.h
    main.cpp
)

set_target_properties(hellovulkanwidget PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(hellovulkanwidget PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

# Resources:
set_source_files_properties("../shared/color_frag.spv"
    PROPERTIES QT_RESOURCE_ALIAS "color_frag.spv"
)

set_source_files_properties("../shared/color_vert.spv"
    PROPERTIES QT_RESOURCE_ALIAS "color_vert.spv"
)

set(hellovulkanwidget_resource_files
    "../shared/color_frag.spv"
    "../shared/color_vert.spv"
)

qt_add_resources(hellovulkanwidget "hellovulkanwidget"
    PREFIX
        "/"
    FILES
        ${hellovulkanwidget_resource_files}
)

install(TARGETS hellovulkanwidget
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_app_script(
    TARGET hellovulkanwidget
    OUTPUT_SCRIPT deploy_script
    NO_UNSUPPORTED_PLATFORM_ERROR
)
install(SCRIPT ${deploy_script})

=== examples/widgets/rhi/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(NOT TARGET Qt6::Widgets)
    return()
endif()
qt_internal_add_example(simplerhiwidget)
qt_internal_add_example(cuberhiwidget)

=== examples/xml/dombookmarks/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(dombookmarks LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets Xml)

qt_standard_project_setup()

qt_add_executable(dombookmarks
    main.cpp
    mainwindow.cpp mainwindow.h
    xbeltree.cpp xbeltree.h
)

set_target_properties(dombookmarks PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(dombookmarks PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    Qt6::Xml
)

install(TARGETS dombookmarks
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_app_script(
    TARGET dombookmarks
    OUTPUT_SCRIPT deploy_script
    NO_UNSUPPORTED_PLATFORM_ERROR
)
install(SCRIPT ${deploy_script})

=== src/plugins/networkinformation/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(WIN32 AND QT_FEATURE_networklistmanager)
    add_subdirectory(networklistmanager)
endif()

if(LINUX AND TARGET Qt::DBus)
    add_subdirectory(networkmanager)
endif()

if(APPLE)
    add_subdirectory(scnetworkreachability)
endif()

if(ANDROID)
    add_subdirectory(android)
endif()

if(QT_FEATURE_glib AND TARGET GLIB2::GOBJECT AND TARGET GLIB2::GIO)
    add_subdirectory(glib)
endif()

=== src/tools/androidtestrunner/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## androidtestrunner App:
#####################################################################

qt_get_tool_target_name(target_name androidtestrunner)
qt_internal_add_tool(${target_name}
    TARGET_DESCRIPTION "Qt Android Test Runner Tool"
    TOOLS_TARGET Core
    SOURCES
        main.cpp
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
        QT_NO_FOREACH
    LIBRARIES
        Qt::Core
)
qt_internal_return_unless_building_tools()
set_target_properties(${target_name} PROPERTIES
    WIN32_EXECUTABLE FALSE
)

## Scopes:
#####################################################################

qt_internal_extend_target(${target_name} CONDITION windows
    COMPILE_OPTIONS
        -U__STRICT_ANSI__
)

=== tests/auto/cmake/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) # Run cmake on this directory
#    `$qt_prefix/bin/qt-cmake ..` or `cmake -DCMAKE_PREFIX_PATH=/path/to/qt ..`
# 4) ctest         # Run ctest
# 5) ctest -V -R test_wrap_cpp_options # Run single test
#
# The expected output is something like:
#
#       Start  1: test_use_modules_function
#  1/11 Test  #1: test_use_modules_function ........   Passed    3.36 sec
#       Start  2: test_wrap_cpp_and_resources
#  2/11 Test  #2: test_wrap_cpp_and_resources ......   Passed    1.41 sec
#       Start  3: test_dependent_modules
#  3/11 Test  #3: test_dependent_modules ...........   Passed    2.22 sec
#       Start  4: test_add_resource_options
#  4/11 Test  #4: test_add_resource_options ........   Passed    0.16 sec
#       Start  5: test_wrap_cpp_options
#  5/11 Test  #5: test_wrap_cpp_options ............   Passed    0.36 sec
#       Start  6: test_needsquoting_dirname
#  6/11 Test  #6: test_needsquoting_dirname ........   Passed    2.20 sec
#       Start  7: test_platform_defs_include
#  7/11 Test  #7: test_platform_defs_include .......   Passed    0.28 sec
#       Start  8: test_qtmainwin_library
#  8/11 Test  #8: test_qtmainwin_library ...........   Passed    1.27 sec
#       Start  9: test_dbus_module
#  9/11 Test  #9: test_dbus_module .................   Passed    3.46 sec
#       Start 10: test_multiple_find_package
# 10/11 Test #10: test_multiple_find_package .......   Passed    0.07 sec
#       Start 11: test_add_resources_delayed_file
# 11/11 Test #11: test_add_resources_delayed_file ..   Passed    0.38 sec
#
#
# Note that if Qt is not installed, or if it is installed to a
# non-standard prefix, the environment variable CMAKE_PREFIX_PATH
# needs to be set to the installation prefix or build prefix of Qt
# before running these tests.

cmake_minimum_required(VERSION 3.16)

project(cmake_usage_tests)
include(GNUInstallDirs)

# Building the CMake tests as part of a Qt prefix build + in-tree tests, currently doesn't work.
# Each CMake test will fail with a message like
#
# CMake Error at qtbase/lib/cmake/Qt6/Qt6Config.cmake:33 (include):
#   include could not find load file:
#    qtbase/lib/cmake/Qt6/Qt6Targets.cmake
#
# That's because the Qt packages are not installed, and we try to load the Config files from the
# build dir, but they can't work in a prefix build without installation.
# Configuring the tests as standalone tests or as a separate project works fine.
# Configuring the tests in-tree also works fine in a non-prefix build.
if(QT_REPO_MODULE_VERSION AND NOT QT_BUILD_STANDALONE_TESTS AND QT_WILL_INSTALL)
    message(WARNING
        "Skipping building CMake build tests because they don't work in a prefix in-tree config")
endif()

enable_testing()

# Most of the tests fail to build on Boot2qt / qemu with undefined references to QtDBus because
# it's a private dependency of QtGui, and CMake for some reason doesn't generate an -rpath-link
# flag. Notably -rpath is specified which should implicitly enable -rpath-link, but that
# doesn't seem to be the case.
# Until this is figured out, disable the tests when cross-compiling to Linux.
if(UNIX AND NOT APPLE AND NOT WIN32 AND CMAKE_CROSSCOMPILING AND NOT QT_ENABLE_CMAKE_BOOT2QT_TESTS
    AND NOT QT_BUILD_MINIMAL_ANDROID_MULTI_ABI_TESTS)
    message(STATUS "Running CMake tests is disabled when cross-compiling to Linux / Boot2Qt.")
    return()
endif()

# On coin for WoA we have hackish setup to reduce integration time where
# host tools are deliver by mingw, build is done as cross build
# and tests run natively on WoA, meaning tooling can not execute natively.
if(WIN32 AND CMAKE_CROSSCOMPILING)
    message(STATUS "Running CMake tests is disabled when cross-compiling to WoA")
    return()
endif()

set(required_packages Core Network Xml Sql Test TestInternalsPrivate)
set(optional_packages DBus Gui Widgets PrintSupport OpenGL Concurrent)

# Setup the test when called as a completely standalone project.
if(TARGET Qt6::Core)
    # Tests are built as part of the qtbase build tree.
    # Setup paths so that the Qt packages are found, similar to examples.
    qt_internal_set_up_build_dir_package_paths()
endif()
find_package(Qt6 REQUIRED COMPONENTS ${required_packages})
find_package(Qt6 OPTIONAL_COMPONENTS ${optional_packages})

# Setup common test variables which were previously set by ctest_testcase_common.prf.
set(CMAKE_MODULES_UNDER_TEST "${required_packages}" ${optional_packages})

foreach(qt_package ${CMAKE_MODULES_UNDER_TEST})
    set(package_name "${QT_CMAKE_EXPORT_NAMESPACE}${qt_package}")
    if(${package_name}_FOUND)
        set(CMAKE_${qt_package}_MODULE_MAJOR_VERSION "${${package_name}_VERSION_MAJOR}")
        set(CMAKE_${qt_package}_MODULE_MINOR_VERSION "${${package_name}_VERSION_MINOR}")
        set(CMAKE_${qt_package}_MODULE_PATCH_VERSION "${${package_name}_VERSION_PATCH}")
    endif()
endforeach()

# Qt6CTestMacros.cmake also expects some of these variables to be set.
if(NOT TARGET Qt::Gui)
    set(NO_GUI TRUE)
endif()
if(NOT TARGET Qt::DBus)
    set(NO_DBUS TRUE)
endif()
if(NOT TARGET Qt::Widgets)
    set(NO_WIDGETS TRUE)
endif()
if(NOT TARGET Qt::OpenGL)
    set(NO_OPENGL TRUE)
endif()

include("${_Qt6CTestMacros}")

# Test only multi-abi specific functionality when QT_BUILD_MINIMAL_ANDROID_MULTI_ABI_TESTS is ON.
# Qt::Gui is the prerequisite for all Android tests.
if(QT_BUILD_MINIMAL_ANDROID_MULTI_ABI_TESTS AND NOT NO_GUI)
    unset(multi_abi_vars)
    foreach(abi IN LISTS QT_ANDROID_ABIS)
        list(APPEND multi_abi_vars "-DQT_PATH_ANDROID_ABI_${abi}=${QT_PATH_ANDROID_ABI_${abi}}")
    endforeach()
    if(QT_ANDROID_BUILD_ALL_ABIS)
        list(APPEND multi_abi_vars "-DQT_ANDROID_BUILD_ALL_ABIS=${QT_ANDROID_BUILD_ALL_ABIS}")
    endif()

    list(APPEND multi_abi_vars "-DQT_HOST_PATH=${QT_HOST_PATH}")

    set(multi_abi_forward_vars
        TEST_SINGLE_VALUE_ARG
        TEST_SPACES_VALUE_ARG
        TEST_LIST_VALUE_ARG
        TEST_ESCAPING_VALUE_ARG
    )
    string(REPLACE ";" "[[;]]" multi_abi_forward_vars "${multi_abi_forward_vars}")

    set(single_value "TestValue")
    set(list_value "TestValue[[;]]TestValue2[[;]]TestValue3")
    set(escaping_value "TestValue\\\\[[;]]TestValue2\\\\[[;]]TestValue3")
    set(spaces_value "TestValue TestValue2 TestValue3")
    _qt_internal_test_expect_pass(test_android_multi_abi_forward_vars
        BUILD_OPTIONS
            ${multi_abi_vars}
            "-DQT_ANDROID_MULTI_ABI_FORWARD_VARS=${multi_abi_forward_vars}"
            "-DTEST_SINGLE_VALUE_ARG=${single_value}"
            "-DTEST_LIST_VALUE_ARG=${list_value}"
            "-DTEST_ESCAPING_VALUE_ARG=${escaping_value}"
            "-DTEST_SPACES_VALUE_ARG=${spaces_value}"
    )

    #Run test_android_aar only if the host is Unix and zipinfo is available
    find_program(ZIPINFO_EXECUTABLE zipinfo)
    if(CMAKE_HOST_UNIX AND ZIPINFO_EXECUTABLE)
        _qt_internal_test_expect_pass(test_android_aar
            BUILD_OPTIONS
                ${multi_abi_vars}
                --build-target verify_aar
        )
    else()
        message(WARNING
            "Skipping test_android_aar CMake build test because \
            the host is not Unix or zipinfo is not found")
    endif()

    return()
endif()

if(NOT NO_WIDGETS)
    _qt_internal_test_expect_pass(test_build_simple_widget_app)
    set(extra_widget_app_options "")
    if(IOS)
        list(APPEND extra_widget_app_options
            QMAKE_OPTIONS CONFIG+=iossimulator
        )
    endif()
    if(CMAKE_HOST_WIN32)
        # Unset MAKEFLAGS environment variable when invoking build tool, it might
        # have options incompatible with nmake.
        list(APPEND extra_widget_app_options
            BUILD_ENVIRONMENT MAKEFLAGS ""
        )
    endif()

    _qt_internal_add_qmake_test(test_build_simple_widget_app
        TESTNAME test_build_simple_widget_app_qmake
        ${extra_widget_app_options}
    )
endif()

# We only support a limited subset of cmake tests when targeting iOS:
# - Only those that use qt_add_executable (but not add_executable)
# - and don't try to run the built binaries via BINARY_ARGS option
# - and don't use internal API like qt_internal_add_*
#
# So we can't run binaries in the simulator or on-device, but we at least
# want build coverage (app linking succeeds).
if(IOS)
    return()
endif()

set(is_qt_build_platform TRUE)
# macOS versions less than 10.15 are not supported for building Qt.
if(CMAKE_HOST_APPLE AND CMAKE_HOST_SYSTEM_VERSION VERSION_LESS "19.0.0")
    set(is_qt_build_platform FALSE)
endif()

_qt_internal_test_expect_pass(test_umbrella_config)
_qt_internal_test_expect_pass(test_wrap_cpp_and_resources)
if (NOT NO_WIDGETS)
    _qt_internal_test_expect_pass(test_dependent_modules)
    _qt_internal_test_expect_pass("test(needsquoting)dirname")
endif()
_qt_internal_test_expect_pass(test_add_resource_prefix BINARY test_add_resource_prefix)
_qt_internal_test_expect_build_fail(test_add_resource_options)
_qt_internal_test_expect_build_fail(test_wrap_cpp_options)
_qt_internal_test_expect_pass(test_wrap_cpp_moc)
_qt_internal_test_expect_pass(test_wrap_cpp_moc_target)
_qt_internal_test_expect_pass(test_platform_defs_include)
_qt_internal_test_expect_pass(test_qtmainwin_library)

if (CMAKE_GENERATOR STREQUAL Ninja AND UNIX AND NOT WIN32)
    _qt_internal_test_expect_pass(test_QFINDTESTDATA
        BINARY "tests/test_QFINDTESTDATA"
        SIMULATE_IN_SOURCE
    )
    # TODO: Decide if there's a reason to keep this test. With CMake 3.21.0 which passes absolute
    # source file paths to the compiler (instead of relative ones), specifying a custom
    # QT_TESTCASE_BUILDDIR is a no-op, which fails the test's preconditions.
    # See QTBUG-95268.
    #_qt_internal_test_expect_pass(test_QT_TESTCASE_BUILDDIR
    #    BINARY "test_qt_testcase_builddir"
    #    SIMULATE_IN_SOURCE
    #)
endif()

if (NOT NO_DBUS)
    _qt_internal_test_expect_pass(test_dbus_module)
endif()
_qt_internal_test_expect_pass(test_multiple_find_package)
_qt_internal_test_expect_pass(test_add_resources_delayed_file)
_qt_internal_test_expect_pass(test_add_binary_resources_delayed_file BINARY test_add_binary_resources_delayed_file)
_qt_internal_test_expect_pass(test_qt_add_resources_rebuild)
_qt_internal_test_expect_pass(test_resource_without_obj_lib BINARY test_resource_without_obj_lib)

if(NOT NO_GUI)
    _qt_internal_test_expect_pass(test_private_includes)
    _qt_internal_test_expect_pass(test_private_targets)
endif()

_qt_internal_test_expect_pass(test_testlib_definitions)
_qt_internal_test_expect_pass(test_json_plugin_includes)

if(NOT NO_GUI)
    _qt_internal_test_expect_build_fail(test_testlib_no_link_gui)
    execute_process(COMMAND ${CMAKE_COMMAND} -E copy
        "${CMAKE_CURRENT_SOURCE_DIR}/test_testlib_definitions/main.cpp"
        "${CMAKE_CURRENT_BINARY_DIR}/failbuild/test_testlib_no_link_gui/test_testlib_no_link_gui/"
    )
endif()

if (NOT NO_WIDGETS)
    _qt_internal_test_expect_build_fail(test_testlib_no_link_widgets)
    execute_process(COMMAND ${CMAKE_COMMAND} -E copy
        "${CMAKE_CURRENT_SOURCE_DIR}/test_testlib_definitions/main.cpp"
        "${CMAKE_CURRENT_BINARY_DIR}/failbuild/test_testlib_no_link_widgets/test_testlib_no_link_widgets/"
    )
endif()

set(qt_module_includes
  Core QObject
  Network QHostInfo
  Sql QSqlError
  Test QTestEventList
  Xml QDomDocument
)

if (NOT NO_GUI)
  list(APPEND qt_module_includes
    Gui QImage
  )
endif()

if (NOT NO_WIDGETS)
  list(APPEND qt_module_includes
    Widgets QWidget
    PrintSupport QPrinter
  )
endif()

if (NOT NO_OPENGL)
  list(APPEND qt_module_includes
    OpenGL QOpenGLBuffer
  )
endif()

if (NOT NO_DBUS)
  list(APPEND qt_module_includes
    DBus QDBusMessage
  )
endif()

_qt_internal_test_module_includes(
  ${qt_module_includes}
)

=== tests/manual/colormanagement/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_manual_test(colormanagement
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
)

=== tests/manual/filetest/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## filetest Binary:
#####################################################################

qt_internal_add_manual_test(filetest
    SOURCES
        main.cpp
)

=== tests/manual/inputdevices/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause
project(inputdevices)
cmake_minimum_required(VERSION 3.19)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)

qt_add_executable(inputdevices
    main.cpp
    inputdevicemodel.h inputdevicemodel.cpp
)

set_target_properties(inputdevices PROPERTIES
    AUTOMOC TRUE
)

target_link_libraries(inputdevices PUBLIC
    Qt::Widgets
)
